Module | RSS::BaseDublinCoreModel
In: | rss/dublincore.rb

### Methods

append_features

### Public Instance methods

append_features(klass)

[Source]

    # File rss/dublincore.rb, line 11
        def append_features(klass)
          super

          return if klass.instance_of?(Module)
          DublinCoreModel::ELEMENT_NAME_INFOS.each do |name, plural_name|
            plural = plural_name || "#{name}s"
            full_name = "#{DC_PREFIX}_#{name}"
            full_plural_name = "#{DC_PREFIX}_#{plural}"
            klass_name = "DublinCore#{Utils.to_class_name(name)}"
            klass.module_eval("install_have_children_element(\#{full_name.dump},\n\#{full_plural_name.dump})\n\nremove_method :\#{full_name}\nremove_method :\#{full_name}=\nremove_method :set_\#{full_name}\n\ndef \#{full_name}\n@\#{full_name}.first and @\#{full_name}.first.value\nend\n\ndef \#{full_name}=(new_value)\n@\#{full_name}[0] = Utils.new_with_value_if_need(\#{klass_name}, new_value)\nend\nalias set_\#{full_name} \#{full_name}=\n", *get_file_and_line_from_caller(0))
          end
          klass.module_eval("alias date \#{DC_PREFIX}_date\nalias date= \#{DC_PREFIX}_date=\n", *get_file_and_line_from_caller(0))
        end

[Validate]